<?php
if(!isset($lang->invoice)) $lang->invoice = new stdclass();
$lang->invoice->common         = 'Invoice';
$lang->invoice->browse         = 'Invoice';
$lang->invoice->create         = 'Create Invoice';
$lang->invoice->edit           = 'Edit Invoice';
$lang->invoice->view           = 'View Invoice';
$lang->invoice->delete         = 'Delete Invoice';
$lang->invoice->drawn          = 'Write';
$lang->invoice->express        = 'Express';
$lang->invoice->taxRefund      = 'Tax Refund';
$lang->invoice->cancel         = 'Cancel';
$lang->invoice->red            = 'Tax Refund';
$lang->invoice->export         = 'Export';
$lang->invoice->all            = 'All';
$lang->invoice->copyCustomer   = 'Copy Customer';
$lang->invoice->createSale     = 'Apply Invoice';
$lang->invoice->createPurchase = 'Input Invoice';
$lang->invoice->browseSale     = 'Browse Sale';
$lang->invoice->browsePurchase = 'Browse Purchase';

$lang->invoice->id              = 'ID';
$lang->invoice->serialNumber    = 'Serial Number';
$lang->invoice->sn              = 'SN';
$lang->invoice->money           = 'Amount';
$lang->invoice->detail          = 'Details';
$lang->invoice->company         = 'Company';
$lang->invoice->customer        = 'Customer';
$lang->invoice->contract        = 'Contract';
$lang->invoice->contractReturn  = 'Return';
$lang->invoice->contact         = 'Contact';
$lang->invoice->address         = 'Mailing Address';
$lang->invoice->kind            = 'Invoice Kind';
$lang->invoice->type            = 'Invoice Type';
$lang->invoice->taxRate         = 'Tax Rate';
$lang->invoice->saleType        = 'Sales Type';
$lang->invoice->invoiceTitle    = 'Invoice Title';
$lang->invoice->taxNumber       = 'Tax No.';
$lang->invoice->registedAddress = 'Registered Address';
$lang->invoice->phone           = 'Phone';
$lang->invoice->bankName        = 'Bank Name';
$lang->invoice->bankAccount     = 'Bank Account';
$lang->invoice->express         = 'Express';
$lang->invoice->send            = 'Send';
$lang->invoice->sendway         = 'Send Method';
$lang->invoice->sendAccount     = 'Receiver Account';
$lang->invoice->waybill         = 'Waybill';
$lang->invoice->status          = 'Status';
$lang->invoice->subStatus       = 'Sub Status';
$lang->invoice->desc            = 'Note';
$lang->invoice->item            = 'Item';
$lang->invoice->model           = 'Spec.';
$lang->invoice->unit            = 'Unit';
$lang->invoice->amount          = 'Qty.';
$lang->invoice->price           = 'Price';
$lang->invoice->taxMoney        = 'Tax Amount';
$lang->invoice->file            = 'Copy';
$lang->invoice->upload          = 'Upload Invoice';
$lang->invoice->hasTrade        = 'Recorded';
$lang->invoice->createdBy       = 'Applied By';
$lang->invoice->createdDate     = 'Applied';
$lang->invoice->editedBy        = 'Edited By';
$lang->invoice->editedDate      = 'Edited';
$lang->invoice->receivedBy      = 'Received By';
$lang->invoice->receivedDate    = 'Received';
$lang->invoice->checkedBy       = 'Checked By';
$lang->invoice->checkedDate     = 'Checked';
$lang->invoice->drawnBy         = 'Written By';
$lang->invoice->drawnDate       = 'Wrote';
$lang->invoice->expressedBy     = 'Expressed By';
$lang->invoice->expressedDate   = 'Expressed';
$lang->invoice->sentBy          = 'Sent By';
$lang->invoice->sentDate        = 'Sent';
$lang->invoice->taxRefundedBy   = 'Rejected By';
$lang->invoice->taxRefundedDate = 'Rejected';
$lang->invoice->canceledBy      = 'Canceled By';
$lang->invoice->canceledDate    = 'Canceled';
$lang->invoice->redBy           = 'TaxRefunded By';
$lang->invoice->redDate         = 'TaxRefunded';
$lang->invoice->titles          = 'Title';
$lang->invoice->drawnMoney      = 'Recorded Amount';
$lang->invoice->subject         = 'Subject';
$lang->invoice->content         = 'Content';
$lang->invoice->returnMoney     = 'Returned Amount';
$lang->invoice->returnDetails   = 'Details';
$lang->invoice->deleted         = 'Deleted';
$lang->invoice->month           = 'Month';
$lang->invoice->total           = 'Total';

$lang->invoice->purchase = new stdclass();
$lang->invoice->purchase->input           = 'Input Invoice';
$lang->invoice->purchase->inputedBy       = 'Inputed By';
$lang->invoice->purchase->inputedDate     = 'Inputed Date';
$lang->invoice->purchase->provider        = 'Provider';
$lang->invoice->purchase->contractPayment = 'Contract Payment';
$lang->invoice->purchase->actionWidth     = '110';

$lang->invoice->actionWidth = 280;

$lang->invoice->lifetime = 'Invoice Life';
$lang->invoice->baseInfo = 'Basic Information';
$lang->invoice->detail   = 'Invoice Details';
$lang->invoice->default  = 'Default';

$lang->invoice->exportTypeList['detail']   = 'Invoice Detail(xls/xlsx)';
$lang->invoice->exportTypeList['customer'] = 'Customer Alias(xml)';
$lang->invoice->exportTypeList['digital']  = 'Digital Invoice File(zip)';

$lang->invoice->kindList = array();
$lang->invoice->kindList['sale']     = 'Sales Invoice';
$lang->invoice->kindList['purchase'] = 'Purchase Invoice';

$lang->invoice->statusList = array();
$lang->invoice->statusList['wait']     = 'Wait';
$lang->invoice->statusList['normal']   = 'Normal';
$lang->invoice->statusList['canceled'] = 'Canceled';
$lang->invoice->statusList['red']      = 'TaxRefunded';

$lang->invoice->typeList = array();
$lang->invoice->typeList['companyOrdinary']        = 'Enterprise VAT ordinary invoice';
$lang->invoice->typeList['companyDigitalOrdinary'] = 'Enterprise VAT digital ordinary invoice';
$lang->invoice->typeList['companySpecial']         = 'Enterprise VAT special invoice';
$lang->invoice->typeList['personalOrdinary']       = 'Personal VAT invoice';
$lang->invoice->typeList['OrganizedOrdinary']      = 'Organization VAT ordinary invoice';

$lang->invoice->saleTypeList = array();
$lang->invoice->saleTypeList['product'] = 'Product';
$lang->invoice->saleTypeList['service'] = 'Service';

$lang->invoice->sendwayList = array();
$lang->invoice->sendwayList['email']  = 'Email';
$lang->invoice->sendwayList['qq']     = 'QQ';
$lang->invoice->sendwayList['weixin'] = 'WeChat';
$lang->invoice->sendwayList['other']  = 'Other';

$lang->invoice->itemList = array();
$lang->invoice->itemList[''] = '';

$lang->invoice->monthList['01'] = 'January';
$lang->invoice->monthList['02'] = 'February';
$lang->invoice->monthList['03'] = 'March';
$lang->invoice->monthList['04'] = 'April';
$lang->invoice->monthList['05'] = 'May';
$lang->invoice->monthList['06'] = 'June';
$lang->invoice->monthList['07'] = 'July';
$lang->invoice->monthList['08'] = 'August';
$lang->invoice->monthList['09'] = 'September';
$lang->invoice->monthList['10'] = 'October';
$lang->invoice->monthList['11'] = 'November';
$lang->invoice->monthList['12'] = 'December';

$lang->invoice->report = new stdclass();
$lang->invoice->report->common = 'Report';
$lang->invoice->report->title  = ' Invoice List';

$lang->invoice->report->unitList[1]       = '$';
$lang->invoice->report->unitList[1000]    = 'K$';
$lang->invoice->report->unitList[1000000] = 'M$';

$lang->invoice->totalMoney = 'The total amount of the invoice is %s. %s has invoiced.';

$lang->invoice->placeholder = new stdclass();
$lang->invoice->placeholder->money = 'The amount of the invoice exceeds the amount of the contract.';

$lang->invoice->error = new stdclass();
$lang->invoice->error->mailNotConfigure = 'Email is not configured.';
$lang->invoice->error->sendMailFailed   = 'Email failed to be sent out, because: ';

/* Invoice actions. */
$lang->invoice->action = new stdclass();
$lang->invoice->action->drawn     = '$date, written by <strong>$actor</strong>.'       . "\n";
$lang->invoice->action->expressed = '$date, expressed by <strong>$actor</strong>.'   . "\n";
$lang->invoice->action->sent      = '$date, sent by <strong>$actor</strong>.'        . "\n";
$lang->invoice->action->canceled  = '$date, canceled by <strong>$actor</strong>.'    . "\n";
$lang->invoice->action->red       = '$date, tax refunded by <strong>$actor</strong>.' . "\n";
$lang->invoice->action->deleted   = '$date, deleted by <strong>$actor</strong>.' . "\n";

if(!isset($lang->excel))        $lang->excel = new stdclass();
if(!isset($lang->excel->title)) $lang->excel->title = new stdclass();
$lang->excel->title->invoice = 'Invoice Details';

$lang->invoice->trade = 'Trade';
